;include "ti84pluscse.inc"
;org userMem-2
;db $EF, $69

include "ti83plus.inc"
org userMem-2
db $BB, $6D

start:
	rst 28h
	dw _RclAns
	sub 4
	jp nz, doLowerCase
	ex de, hl
	ld c, (hl)
	inc hl
	ld b, (hl)
	inc hl
	ld de, song

getansloop:

	ld a, c	
	ld a, (hl)
	cp 187
	jp z, skipaddition
	ld (de), a
	inc de
skipaddition:
	
	inc hl
	dec bc
	ld a, c
	cp 0
	jp nz, getansloop
	ld a, b
    	cp 0
    	jp nz, getansloop
    
	ld hl, song
	call playSong
	
	ret
	
doLowerCase:
	rst 28h
	dw _RclAns
	or a
	ret nz

	rst 28h
	dw _ConvOP1

	cp 0
	jp z, switchLowerCase
	
	ex de, hl
	call getDuration
	call play

	ret

switchLowerCase:
	ld hl, flags+appLwrCaseFlag
	ld a, 8
	xor (hl)
	ld (hl), a
	ret

include "noteman.inc"

song:
	ds 3000
